Subject: Re: Why can't git open empty branches ?

From: Holger Hellmuth <[email-masked]>
Date: Wed, 11 Apr 2012 16:16:37 +0200

Hi Hadmut ;-)

On 11.04.2012 13:47, Hadmut Danisch wrote:
> Creating independent branches by pushing two separates into a single
> remote bare is a nice idea, but if I understood git correctly, the very
> first commit in a repos is always to the master branch, where you have

AFAIK the only thing that makes master the initial branch is the file 
.git/HEAD that points to master after you "git init". This is not hardcoded.

 > So your proposal might work perfectly, but in my eyes it is error
 > prone and not user friendly.

Serious errors should not happen since the bare repo on the server is 
created with the flag denyNonFastForwards. So even if you had a master 
branch in both repos, only one of them, the first one, would succeed in 
pushing to the server, a push of the second one would give you an error 
message. Maybe not user friendly, but safe.